
:root {
    --bg-content: #fafafa;
    --bg-addbook: black;
    --white: #fffbfb;
    --grey: #f0eef1;
    --light-green: #9fff9c;
    --light-red: #ff9c9c;
    --black: #050505;
    --shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    --border-radius: 8px;
    --spacing-xs: 5px;
    --spacing-sm: 10px;
    --spacing-md: 15px;
    --spacing-lg: 20px;
    --spacing-xl: 40px;
}

body {
    background-color: var(--grey);
}

/* CSS reset */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Poppins";
}

button,
input {
  border: none;
  color: inherit;
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  cursor: pointer;
  outline: none;
}

input[type='text'],
input[type='number'] {
  cursor: text;
}


@font-face {
    font-family: "Roboto";
    src: url("./media/fonts/Roboto-Regular.ttf");
    font-family: "Poppins";
    src: url("./media/fonts/Poppins-Medium.ttf");
}


/* Header */
header {
    padding: 2rem;
    background-color: var(--white);
    box-shadow: var(--shadow);
    font-family: 'Poppins', sans-serif;
    font-size: 1.2rem;
}



/* Main content */
.container {
    min-height: 100vh;
    display: flex;
    flex-direction: column;

}

.book-cards {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: var(--spacing-xl);
    margin-top: var(--spacing-xl)
}

.book-card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    font-size: 20px;
    gap: var(--spacing-lg);
    padding: var(--spacing-lg);
    border-radius: var(--border-radius);
    background-color: var(--white);
    box-shadow: var(--shadow);
    line-height: 1.2;
    text-align: center;
    margin: var(--spacing-lg);
}

.btn {
    padding: var(--spacing-sm) var(--spacing-md);
    border-radius: var(--border-radius);
    transition: filter 0.15s ease-in-out;
  }
  
  .btn:hover {
    filter: brightness(90%);
  }
  
  .btn-add {
    font-size: 24px;
    font-weight: 600;
  }

  
#showModal {
    border: none;
    outline: none;
    font-size: 1.8rem;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    cursor: pointer;
    color: var(--white);
    background: var(--blue);
    transition: 0.5s ease;
    position: fixed;
    bottom: 5%;
    right: 5%;
    background-color: var(--bg-addbook);
    
}
#showModal:hover {
    transform: rotate(90deg) scale(1.1);
}

/* footer */

.fa-github {
    color: black;
    font-size: 24px;
    transition: transform 0.3s ease-in-out;
}

.fa-github:hover {
    transform: rotate(360deg) scale(1.2);
}

footer {
    text-align: center;
    margin: 10px;
    margin-top: auto;
    font-size: 20px;
    font-weight: 500;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}


/* Modal */

.modal {
    position: fixed;
    z-index: 1;
    top: 50%;
    left: 50%;
    width: 300px;
    padding: var(--spacing-lg);
    border-radius: var(--border-radius);
    background-color: var(--grey);
    text-align: center;
    transform: translate(-50%, -50%) scale(0);
    transition: 0.2s ease-in-out;
  }

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.btn-light-green {
    background-color: var(--light-green);
  }
  
  .btn-light-red {
    background-color: var(--light-red);
  }

.overlay.active {
    display: block;
}

.add-book-form {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-lg);
}
input {
    padding: var(--spacing-sm);
    border-radius: var(--border-radius);
}
.modal.active {
    transform: translate(-50%, -50%) scale(1);
}


.button-group {
    display: flex;
    flex-direction: column;
    gap: 20px;
}